@use "../mixins";

.instructions {
  display: flex;
  flex-direction: column;
  gap: 2.75vw;
  counter-reset: instructions-list;

  @include mixins.respond-to-small-screen {
    gap: 7.5vw;
    font-size: 1.4rem;
  }

  &__item {
    display: flex;
    gap: 1vw;
    align-items: flex-start;

    @include mixins.respond-to-small-screen {
      gap: 3.5vw;
    }

    &::before {
      counter-increment: instructions-list;
      content: counter(instructions-list);
      flex: 0 0 auto;
      font-family: var(--font-display);
      font-size: 2.4rem;
      font-weight: 700;
      color: var(--color-white);
      background-color: var(--color-primary);
      width: 3.6rem;
      height: 3.6rem;
      line-height: 1.33;
      text-align: center;
      border-radius: 0.6rem;

      @include mixins.respond-to-small-screen {
        font-size: 2.1rem;
        width: 3.15rem;
        height: 3.15rem;
      }
    }

    span {
      line-height: 1.5;
    }
  }
}
